package com.atridad.magiccounter

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.material3.Surface
import androidx.compose.material3.MaterialTheme
import com.atridad.magiccounter.ui.MagicCounterApp
import com.atridad.magiccounter.ui.theme.MagicCounterTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            MagicCounterTheme {
                Surface(color = MaterialTheme.colorScheme.background) {
                    MagicCounterApp()
                }
            }
        }
    }
}